const mongoose = require("mongoose");

const OtherInfoSchema = new mongoose.Schema(
  {
    type: {
      type: String,
      required: true,
      unique: true,
    },
    data: {
      type: mongoose.Schema.Types.Mixed,
      required: true,
    },
  },
  {
    timestamps: true,
  }
);

module.exports =
  mongoose.model("OtherInfo", OtherInfoSchema) || mongoose.models.OtherInfo;
